package com.sqx.modules.redisService;

/**
 * 进行redis 缓存数据初始化
 * 参数key 必须存在
 */
public interface RedisService {


    void setDiscSpinningAmounts(String key);

    void setFreeWatchTime(Long userId, Integer time, boolean isPermanently);

    Boolean getFreeWatchTimeIsExpire(Long userId);

    Long getFreeWatchRemainTime(Long userId, boolean isPermanently);

    boolean checkIpJumpLimit(long userId, String ip);
    void recordUrlVisitCountWithIp(long userId, String url, String ip);

    boolean isRecordUserOnLineTime(long userId);

    boolean isSetUserState(long userId);

    int getCourseWeekViewCount(long courseId);

    int getCourseWeekPayCount(long courseId);


}
